package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.bean.report.DingExceptionCountReportBean;
import com.qmth.sop.business.bean.report.SupplierCountReportBean;
import com.qmth.sop.business.entity.TBService;
import com.qmth.sop.business.mapper.ResourceSecurityReportMapper;
import com.qmth.sop.business.service.ResourceSecurityReportService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 设备商供货数量分布报表service impl
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
@Service
public class ResourceSecurityReportServiceImpl extends ServiceImpl<ResourceSecurityReportMapper, TBService>
        implements ResourceSecurityReportService {

    /**
     * 设备商供货数量分布
     *
     * @param serviceId
     * @return
     */
    @Override
    public List<SupplierCountReportBean> deviceSupplierCountReport(Long serviceId) {
        return this.baseMapper.deviceSupplierCountReport(serviceId);
    }

    /**
     * 人力商供货数量分布
     *
     * @param serviceId
     * @return
     */
    @Override
    public List<SupplierCountReportBean> humanSupplierCountReport(Long serviceId) {
        return this.baseMapper.humanSupplierCountReport(serviceId);
    }

    /**
     * 大区考勤异常数统计
     *
     * @param serviceId
     * @return
     */
    @Override
    public List<DingExceptionCountReportBean> areaDingExceptionCountReport(Long serviceId) {
        return this.baseMapper.areaDingExceptionCountReport(serviceId);
    }

    /**
     * 人力供应商考勤异常数统计
     *
     * @param serviceId
     * @return
     */
    @Override
    public List<DingExceptionCountReportBean> humanDingExceptionCountReport(Long serviceId) {
        return this.baseMapper.humanDingExceptionCountReport(serviceId);
    }
}
